{# avatar.html.twig #}
{% set avatar_classes = {
    'small': 'avatar-small',
    'medium': 'avatar-medium',
    'large': 'avatar-large'
} %}

{# Définir la taille par défaut si non spécifiée #}
{% set size = size is defined ? size : 'medium' %}


{% if app.user %}
    {% set initials = app.user.firstname|first|upper ~ app.user.lastname|first|upper %}
    {% if app.user.picture %}
        <img src="{{ app.user.picture.urls[size is same as 'large' ? 'medium' : 'small'] }}" alt="{{ alt | default('Avatar') }}" class="avatar {{ avatar_classes[size] }}">
    {% else %}
        <span class="avatar {{ avatar_classes[size] }} avatar-initials">
            {{ initials }}
        </span>
    {% endif %}
{% endif %}
